> For the complete documentation index, see [llms.txt](https://developer.paddle.com/llms.txt).

# GET /subscriptions

**List subscriptions**

Returns a paginated list of subscriptions. Use the query parameters to page through results.

**Required permissions:** `subscription.read`

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | array | optional | Return only the IDs specified. Use a comma-separated list to get multiple entities. |
| `after` | string | optional | Return entities after the specified Paddle ID when working with paginated endpoints. Used in the `meta.pagination.next` URL in responses for list operations. |
| `per_page` | integer | optional | Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check `meta.pagination.per_page` in the response to see how many were returned.

Default: `50`; Maximum: `200`. (Max: 200; default: `50`) |
| `address_id` | array | optional | Return entities related to the specified address. Use a comma-separated list to specify multiple address IDs. |
| `collection_mode` | string | optional | Return entities that match the specified collection mode. |
| `customer_id` | array | optional | Return entities related to the specified customer. Use a comma-separated list to specify multiple customer IDs. |
| `order_by` | string | optional | Order returned entities by the specified field and direction (`[ASC]` or `[DESC]`). For example, `?order_by=id[ASC]`.

Valid fields for ordering: `id`. (default: `"id[DESC]"`) |
| `price_id` | array | optional | Return entities related to the specified price. Use a comma-separated list to specify multiple price IDs. |
| `scheduled_change_action` | array | optional | Return subscriptions that have a scheduled change. Use a comma-separated list to specify multiple scheduled change actions. |
| `next_billed_at` | array | null | optional | Return entities next billed at a specific time. Pass `null` to return entities with no next billing date. |
| `status` | array | optional | Return entities that match the specified status. Use a comma-separated list to specify multiple status values. |

Values for `collection_mode`:

- `automatic` — Return entities where payment is collected automatically using a checkout or saved payment method.
- `manual` — Return entities where payment is collected manually. Customers are sent an invoice with payment terms and can make a payment offline or using a checkout.

Values for `scheduled_change_action`:

- `cancel` — Return subscriptions with a scheduled change to cancel.
- `pause` — Return subscriptions with a scheduled change to pause.
- `resume` — Return subscriptions with a scheduled change to resume. Only returned for paused subscriptions.
- `none` — Return subscriptions that do not have a scheduled change.

Values for `status`:

- `active` — Return subscriptions where the status is `active`. Returned subscriptions are active and Paddle is billing for them.
- `canceled` — Return subscriptions where the status is `canceled`. Returned subscriptions are canceled.
- `past_due` — Return subscriptions where the status is `past_due`. Returned subscriptions have an overdue payment.
- `paused` — Return subscriptions where the status is `paused`. Returned subscriptions are paused.
- `trialing` — Return subscriptions where the status is `trialing`. Returned subscriptions are in trial.

## Response (200)

- `data`: array (required)
  - `id`: string (required) — Unique Paddle ID for this subscription entity, prefixed with `sub_`. (pattern: `^sub_[a-z\d]{26}$`)
  - `status`: string (required) — Status of this subscription. Set automatically by Paddle. Use the pause subscription or cancel subscription operations to change.
    - `active` — Subscription is active. Paddle is billing for this subscription and related transactions aren't past due.
    - `canceled` — Subscription is canceled. Automatically set by Paddle when a subscription is canceled. When a subscription is set to cancel on the next billing period, a scheduled change for the cancellation is created. The subscription status moves to canceled when the scheduled change takes effect.
    - `past_due` — Subscription has an overdue payment. Automatically set by Paddle when payment fails for an automatically-collected transaction, or when payment terms have elapsed for a manually-collected transaction (an invoice).
    - `paused` — Subscription is paused. Automatically set by Paddle when a subscription is paused. When a subscription is set to pause on the next billing period, a scheduled change for the pause is created. The subscription status moves to `paused` when the scheduled change takes effect.
    - `trialing` — Subscription is in trial.
  - `customer_id`: string (required) — Paddle ID of the customer that this subscription is for, prefixed with `ctm_`. (pattern: `^ctm_[a-z\d]{26}$`)
  - `address_id`: string (required) — Paddle ID of the address that this subscription is for, prefixed with `add_`. (pattern: `^add_[a-z\d]{26}$`)
  - `business_id`: string | null (required) — Paddle ID of the business that this subscription is for, prefixed with `biz_`. (pattern: `^biz_[a-z\d]{26}$`)
  - `currency_code`: string (required) — Supported three-letter ISO 4217 currency code. Transactions for this subscription are created in this currency. Must be `USD`, `EUR`, or `GBP` if `collection_mode` is `manual`.
    - `USD` — United States Dollar
    - `EUR` — Euro
    - `GBP` — Pound Sterling
    - `JPY` — Japanese Yen
    - `AUD` — Australian Dollar
    - `CAD` — Canadian Dollar
    - `CHF` — Swiss Franc
    - `HKD` — Hong Kong Dollar
    - `SGD` — Singapore Dollar
    - `SEK` — Swedish Krona
    - `ARS` — Argentine Peso
    - `BRL` — Brazilian Real
    - `CLP` — Chilean Peso
    - `CNY` — Chinese Yuan
    - `COP` — Colombian Peso
    - `CZK` — Czech Koruna
    - `DKK` — Danish Krone
    - `HUF` — Hungarian Forint
    - `ILS` — Israeli Shekel
    - `INR` — Indian Rupee
    - `KRW` — South Korean Won
    - `MXN` — Mexican Peso
    - `NOK` — Norwegian Krone
    - `NZD` — New Zealand Dollar
    - `PEN` — Peruvian Sol
    - `PLN` — Polish Zloty
    - `RUB` — Russian Ruble
    - `THB` — Thai Baht
    - `TRY` — Turkish Lira
    - `TWD` — New Taiwan Dollar
    - `UAH` — Ukrainian Hryvnia
    - `VND` — Vietnamese Dong
    - `ZAR` — South African Rand
  - `created_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
  - `updated_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
  - `started_at`: string (date-time) | null (required) — RFC 3339 datetime string of when this subscription started. This may be different from `first_billed_at` if the subscription started in trial.
  - `first_billed_at`: string (date-time) | null (required) — RFC 3339 datetime string of when this subscription was first billed. This may be different from `started_at` if the subscription started in trial.
  - `next_billed_at`: string (date-time) | null (required) — RFC 3339 datetime string of when this subscription is next scheduled to be billed.
  - `paused_at`: string (date-time) | null (required) — RFC 3339 datetime string of when this subscription was paused. Set automatically by Paddle when the pause subscription operation is used. `null` if not paused.
  - `canceled_at`: string (date-time) | null (required) — RFC 3339 datetime string of when this subscription was canceled. Set automatically by Paddle when the cancel subscription operation is used. `null` if not canceled.
  - `discount`: object | null (required) — Details of the discount applied to this subscription.
    - `id`: string (required) — Unique Paddle ID for this discount, prefixed with `dsc_`. (pattern: `^dsc_[a-z\d]{26}$`)
    - `starts_at`: string (date-time) | null (required) — RFC 3339 datetime string of when this discount was first applied. `null` for canceled subscriptions where a discount was redeemed but never applied to a transaction.
    - `ends_at`: string (date-time) | null (required) — RFC 3339 datetime string of when this discount no longer applies. Where a discount has `maximum_recurring_intervals`, this is the date of the last billing period where this discount applies. `null` where a discount recurs forever.
    - `type`: string (required) — Whether this discount applies for multiple billing periods.
      - `recurring` — Discount applies to multiple billing periods.
      - `one-off` — Discount applies to a single billing period only. Returned when a subscription is created in trial with a discount. The discount is removed from the subscription on renewal.
  - `collection_mode`: string (required) — How payment is collected for transactions created for this subscription. `automatic` for checkout, `manual` for invoices. (default: `"automatic"`)
    - `automatic` — Payment is collected automatically using a checkout initially, then using a payment method on file.
    - `manual` — Payment is collected manually. Customers are sent an invoice with payment terms and can make a payment offline or using a checkout. Requires `billing_details`.
  - `billing_details`: object | null (required) — Details for invoicing. Required if `collection_mode` is `manual`.
    - `enable_checkout`: boolean (required) — Whether the related transaction may be paid using Paddle Checkout. If omitted when creating a transaction, defaults to `false`. (default: `false`)
    - `purchase_order_number`: string (required) — Customer purchase order number. Appears on invoice documents. (Max length: 100)
    - `additional_information`: string | null (required) — Notes or other information to include on this invoice. Appears on invoice documents. (Max length: 1500)
    - `payment_terms`: object (required) — How long a customer has to pay this invoice once issued.
      - `interval`: string (required) — Unit of time.
        - `day`
        - `week`
        - `month`
        - `year`
      - `frequency`: integer (required) — Amount of time. (Min: 1)
  - `current_billing_period`: object | null (required) — Current billing period for this subscription. Set automatically by Paddle based on the billing cycle. `null` for `paused` and `canceled` subscriptions.
    - `starts_at`: string (date-time) (required) — RFC 3339 datetime string of when this period starts.
    - `ends_at`: string (date-time) (required) — RFC 3339 datetime string of when this period ends.
  - `billing_cycle`: object (required) — How often this subscription renews. Set automatically by Paddle based on the prices on this subscription.
    - `interval`: string (required) — Unit of time.
      - `day`
      - `week`
      - `month`
      - `year`
    - `frequency`: integer (required) — Amount of time. (Min: 1)
  - `scheduled_change`: object | null (required) — Change that's scheduled to be applied to a subscription. Use the pause subscription, cancel subscription, and resume subscription operations to create scheduled changes. `null` if no scheduled changes.
    - `action`: string (required) — Kind of change that's scheduled to be applied to this subscription.
      - `cancel` — Subscription is scheduled to cancel. Its status changes to `canceled` on the `effective_at` date.
      - `pause` — Subscription is scheduled to pause. Its status changes to `paused` on the `effective_at` date.
      - `resume` — Subscription is scheduled to resume. Its status changes to `active` on the `effective_at` date.
    - `effective_at`: string (date-time) (required) — RFC 3339 datetime string of when this scheduled change takes effect.
    - `resume_at`: string (date-time) | null (required) — RFC 3339 datetime string of when a paused subscription should resume. Only used for `pause` scheduled changes.
  - `management_urls`: object (required) — Customer portal deep links for this subscription.

Authenticated links are only returned when your API key has Customer portal session (Write) permission. For security, the `token` appended to authenticated links is temporary. You shouldn't store them.
    - `update_payment_method`: string (uri) | null (required) — Link to the page for this subscription in the customer portal with the payment method update form pre-opened. Use as part of workflows to let customers update their payment details. `null` for manually-collected subscriptions.
    - `cancel`: string (uri) (required) — Link to the page for this subscription in the customer portal with the subscription cancellation form pre-opened. Use as part of cancel subscription workflows.
    - `view_subscription`: string (uri) (required) — Link to the page for this subscription in the customer portal, with no form pre-opened. Use to let customers manage the subscription themselves rather than sending them into one specific action.
  - `items`: array (required) — List of items on this subscription. Only recurring items are returned. (Items: 1–100)
    - `status`: string (required) — Status of this subscription item. Set automatically by Paddle.
      - `active` — This item is active. It is not in trial and Paddle bills for it.
      - `inactive` — This item is not active. Set when the related subscription is paused.
      - `trialing` — This item is in trial. Paddle has not billed for it.
    - `quantity`: number (required) — Quantity of this item on the subscription. (Min: 1)
    - `recurring`: boolean (required) — Whether this is a recurring item. `false` if one-time.
    - `created_at`: string (date-time) (required) — RFC 3339 datetime string of when this item was added to this subscription.
    - `updated_at`: string (date-time) (required) — RFC 3339 datetime string of when this item was last updated on this subscription.
    - `previously_billed_at`: string (date-time) | null (required) — RFC 3339 datetime string of when this item was last billed.
    - `next_billed_at`: string (date-time) | null (required) — RFC 3339 datetime string of when this item is next scheduled to be billed.
    - `trial_dates`: object | null (required) — Trial dates for this item.
      - `starts_at`: string (date-time) (required) — RFC 3339 datetime string of when this period starts.
      - `ends_at`: string (date-time) (required) — RFC 3339 datetime string of when this period ends.
    - `price`: object (required) — Related price entity for this item. This reflects the price entity at the time it was added to the subscription.
      - `id`: string (required) — Unique Paddle ID for this price, prefixed with `pri_`. (pattern: `^pri_[a-z\d]{26}$`)
      - `product_id`: string (required) — Paddle ID for the product that this price is for, prefixed with `pro_`. (pattern: `^pro_[a-z\d]{26}$`)
      - `description`: string (required) — Internal description for this price, not shown to customers. Typically notes for your team. (Length: 2–500)
      - `type`: string (required) — Type of item. Standard items are considered part of your catalog and are shown in the Paddle dashboard. (default: `"standard"`)
        - `custom` — Non-catalog item. Typically created for a specific transaction or subscription. Not returned when listing or shown in the Paddle dashboard.
        - `standard` — Standard item. Can be considered part of your catalog and reused across transactions and subscriptions easily.
      - `name`: string | null (required) — Name of this price, shown to customers at checkout and on invoices. Typically describes how often the related product bills. (Length: 1–150)
      - `billing_cycle`: object | null (required) — How often this price should be charged. `null` if price is non-recurring (one-time).
        - `interval`: string (required) — Unit of time.
          - `day`
          - `week`
          - `month`
          - `year`
        - `frequency`: integer (required) — Amount of time. (Min: 1)
      - `trial_period`: object | null (required) — Trial period for the product related to this price. The billing cycle begins once the trial period is over. `null` for no trial period. Requires `billing_cycle`.
        - `interval`: string (required) — Unit of time.
          - `day`
          - `week`
          - `month`
          - `year`
        - `frequency`: integer (required) — Amount of time. (Min: 1)
        - `requires_payment_method`: boolean (required) — Whether this price requires a payment method (`true`) or not (`false`) when trialing. If `false`, customers can sign up for subscription without entering their payment details, often referred to as a "cardless trial." (default: `true`)
        - `unit_price`: object | null — Trial price. Customers are billed this amount for the duration of the trial period. Applies to all customers except those in countries with `unit_price_overrides`. If `null`, customers are not charged during the trial.
          - `amount`: string (required) — Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
          - `currency_code`: string — Supported three-letter ISO 4217 currency code.
            - `USD` — United States Dollar
            - `EUR` — Euro
            - `GBP` — Pound Sterling
            - `JPY` — Japanese Yen
            - `AUD` — Australian Dollar
            - `CAD` — Canadian Dollar
            - `CHF` — Swiss Franc
            - `HKD` — Hong Kong Dollar
            - `SGD` — Singapore Dollar
            - `SEK` — Swedish Krona
            - `ARS` — Argentine Peso
            - `BRL` — Brazilian Real
            - `CLP` — Chilean Peso
            - `CNY` — Chinese Yuan
            - `COP` — Colombian Peso
            - `CZK` — Czech Koruna
            - `DKK` — Danish Krone
            - `HUF` — Hungarian Forint
            - `ILS` — Israeli Shekel
            - `INR` — Indian Rupee
            - `KRW` — South Korean Won
            - `MXN` — Mexican Peso
            - `NOK` — Norwegian Krone
            - `NZD` — New Zealand Dollar
            - `PEN` — Peruvian Sol
            - `PLN` — Polish Zloty
            - `RUB` — Russian Ruble
            - `THB` — Thai Baht
            - `TRY` — Turkish Lira
            - `TWD` — New Taiwan Dollar
            - `UAH` — Ukrainian Hryvnia
            - `VND` — Vietnamese Dong
            - `ZAR` — South African Rand
        - `unit_price_overrides`: array — List of unit price overrides for trial pricing. Use to override base trial price with a custom trial price and currency for a country or group of countries. (Items: max 250)
          - `country_codes`: array (required) — Supported two-letter ISO 3166-1 alpha-2 country code. Customers located in the listed countries are charged the override price. (Items: min 1, unique)
            - Country code (supported) — Two-letter code for a country that Paddle supports sales to. Typically an ISO 3166-1 alpha-2 code, though Paddle uses a small number of codes that ISO doesn't currently assign.
              - `AD` — Andorra
              - `AE` — United Arab Emirates
              - `AG` — Antigua and Barbuda
              - `AI` — Anguilla
              - `AL` — Albania
              - `AM` — Armenia
              - `AO` — Angola
              - `AR` — Argentina
              - `AS` — American Samoa
              - `AT` — Austria
              - `AU` — Australia
              - `AW` — Aruba
              - `AX` — Åland Islands
              - `AZ` — Azerbaijan
              - `BA` — Bosnia and Herzegovina
              - `BB` — Barbados
              - `BD` — Bangladesh
              - `BE` — Belgium
              - `BF` — Burkina Faso
              - `BG` — Bulgaria
              - `BH` — Bahrain
              - `BI` — Burundi
              - `BJ` — Benin
              - `BL` — Saint Barthélemy
              - `BM` — Bermuda
              - `BN` — Brunei
              - `BO` — Bolivia
              - `BQ` — Caribbean Netherlands (Bonaire, Sint Eustatius, and Saba)
              - `BR` — Brazil
              - `BS` — Bahamas
              - `BT` — Bhutan
              - `BV` — Bouvet Island
              - `BW` — Botswana
              - `BZ` — Belize
              - `CA` — Canada
              - `CC` — Cocos Islands
              - `CG` — Republic of Congo
              - `CH` — Switzerland
              - `CI` — Côte d'Ivoire (Ivory Coast)
              - `CK` — Cook Islands
              - `CL` — Chile
              - `CM` — Cameroon
              - `CN` — China
              - `CO` — Colombia
              - `CR` — Costa Rica
              - `CV` — Cape Verde
              - `CW` — Curaçao
              - `CX` — Christmas Island
              - `CY` — Cyprus
              - `CZ` — Czechia (Czech Republic)
              - `DE` — Germany
              - `DJ` — Djibouti
              - `DK` — Denmark
              - `DM` — Dominica
              - `DO` — Dominican Republic
              - `DZ` — Algeria
              - `EC` — Ecuador
              - `EE` — Estonia
              - `EG` — Egypt
              - `EH` — Western Sahara
              - `ER` — Eritrea
              - `ES` — Spain
              - `ET` — Ethiopia
              - `FI` — Finland
              - `FJ` — Fiji
              - `FK` — Falkland Islands
              - `FM` — Micronesia
              - `FO` — Faroe Islands
              - `FR` — France
              - `GA` — Gabon
              - `GB` — United Kingdom
              - `GD` — Grenada
              - `GE` — Georgia
              - `GF` — French Guiana
              - `GG` — Guernsey
              - `GH` — Ghana
              - `GI` — Gibraltar
              - `GL` — Greenland
              - `GM` — Gambia
              - `GN` — Guinea
              - `GP` — Guadeloupe
              - `GQ` — Equatorial Guinea
              - `GR` — Greece
              - `GS` — South Georgia and the South Sandwich Islands
              - `GT` — Guatemala
              - `GU` — Guam
              - `GW` — Guinea-Bissau
              - `GY` — Guyana
              - `HK` — Hong Kong
              - `HM` — Heard Island and McDonald Islands
              - `HN` — Honduras
              - `HR` — Croatia
              - `HU` — Hungary
              - `ID` — Indonesia
              - `IE` — Ireland
              - `IL` — Israel
              - `IM` — Isle of Man
              - `IN` — India
              - `IO` — British Indian Ocean Territory
              - `IQ` — Iraq
              - `IS` — Iceland
              - `IT` — Italy
              - `JE` — Jersey
              - `JM` — Jamaica
              - `JO` — Jordan
              - `JP` — Japan
              - `KE` — Kenya
              - `KG` — Kyrgyzstan
              - `KH` — Cambodia
              - `KI` — Kiribati
              - `KM` — Comoros
              - `KN` — Saint Kitts and Nevis
              - `KR` — South Korea
              - `KW` — Kuwait
              - `KY` — Cayman Islands
              - `KZ` — Kazakhstan
              - `LA` — Lao People's Democratic Republic (Laos)
              - `LB` — Lebanon
              - `LC` — Saint Lucia
              - `LI` — Liechtenstein
              - `LK` — Sri Lanka
              - `LR` — Liberia
              - `LS` — Lesotho
              - `LT` — Lithuania
              - `LU` — Luxembourg
              - `LV` — Latvia
              - `MA` — Morocco
              - `MC` — Monaco
              - `MD` — Moldova
              - `ME` — Montenegro
              - `MF` — Saint Martin
              - `MG` — Madagascar
              - `MH` — Marshall Islands
              - `MK` — Macedonia
              - `MN` — Mongolia
              - `MO` — Macao
              - `MP` — Northern Mariana Islands
              - `MQ` — Martinique
              - `MR` — Mauritania
              - `MS` — Montserrat
              - `MT` — Malta
              - `MU` — Mauritius
              - `MV` — Maldives
              - `MW` — Malawi
              - `MX` — Mexico
              - `MY` — Malaysia
              - `MZ` — Mozambique
              - `NA` — Namibia
              - `NC` — New Caledonia
              - `NE` — Niger
              - `NF` — Norfolk Island
              - `NG` — Nigeria
              - `NL` — Netherlands
              - `NO` — Norway
              - `NP` — Nepal
              - `NR` — Nauru
              - `NU` — Niue
              - `NZ` — New Zealand
              - `OM` — Oman
              - `PA` — Panama
              - `PE` — Peru
              - `PF` — French Polynesia
              - `PG` — Papua New Guinea
              - `PH` — Philippines
              - `PK` — Pakistan
              - `PL` — Poland
              - `PM` — Saint Pierre and Miquelon
              - `PN` — Pitcairn
              - `PR` — Puerto Rico
              - `PS` — Palestinian territories
              - `PT` — Portugal
              - `PW` — Palau
              - `PY` — Paraguay
              - `QA` — Qatar
              - `RE` — Reunion
              - `RO` — Romania
              - `RS` — Republic of Serbia
              - `RW` — Rwanda
              - `SA` — Saudi Arabia
              - `SB` — Solomon Islands
              - `SC` — Seychelles
              - `SE` — Sweden
              - `SG` — Singapore
              - `SH` — Saint Helena
              - `SI` — Slovenia
              - `SJ` — Svalbard and Jan Mayen
              - `SK` — Slovakia
              - `SL` — Sierra Leone
              - `SM` — San Marino
              - `SN` — Senegal
              - `SR` — Suriname
              - `ST` — São Tomé and Príncipe
              - `SV` — El Salvador
              - `SX` — Sint Maarten
              - `SZ` — Swaziland
              - `TC` — Turks and Caicos Islands
              - `TD` — Chad
              - `TF` — French Southern and Antarctic Lands
              - `TG` — Togo
              - `TH` — Thailand
              - `TJ` — Tajikistan
              - `TK` — Tokelau
              - `TL` — Timor-Leste
              - `TM` — Turkmenistan
              - `TN` — Tunisia
              - `TO` — Tonga
              - `TR` — Turkey
              - `TT` — Trinidad and Tobago
              - `TV` — Tuvalu
              - `TW` — Taiwan
              - `TZ` — Tanzania
              - `UA` — Ukraine
              - `UG` — Uganda
              - `UM` — United States Minor Outlying Islands
              - `US` — United States
              - `UY` — Uruguay
              - `UZ` — Uzbekistan
              - `VA` — Holy See (Vatican City)
              - `VC` — Saint Vincent and the Grenadines
              - `VG` — British Virgin Islands
              - `VI` — U.S. Virgin Islands
              - `VN` — Vietnam
              - `VU` — Vanuatu
              - `WF` — Wallis and Futuna
              - `WS` — Samoa
              - `XK` — Kosovo
              - `YT` — Mayotte
              - `ZA` — South Africa
              - `ZM` — Zambia
            - Country code (unsupported) — Two-letter code for a country that Paddle doesn't support sales to. Typically an ISO 3166-1 alpha-2 code, though Paddle uses a small number of codes that ISO doesn't currently assign.
              - `AF` — Afghanistan
              - `AQ` — Antarctica
              - `AN` — Netherlands Antilles. Withdrawn ISO 3166-1 code, succeeded by BQ, CW and SX.
              - `BY` — Belarus
              - `CD` — Democratic Republic of Congo
              - `CF` — Central African Republic
              - `CU` — Cuba
              - `CS` — Serbia and Montenegro. Withdrawn ISO 3166-1 code, succeeded by RS and ME.
              - `HT` — Haiti
              - `IR` — Iran
              - `KP` — North Korea
              - `LY` — Libya
              - `ML` — Mali
              - `MM` — Myanmar (Burma)
              - `NI` — Nicaragua
              - `RU` — Russia
              - `SO` — Somalia
              - `SS` — South Sudan
              - `SD` — Sudan
              - `SY` — Syria
              - `VE` — Venezuela
              - `YE` — Yemen
              - `ZW` — Zimbabwe
          - `unit_price`: object (required) — Override price. This price applies to customers located in the countries for this unit price override.
            - `amount`: string (required) — Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
            - `currency_code`: string — Supported three-letter ISO 4217 currency code.
              - `USD` — United States Dollar
              - `EUR` — Euro
              - `GBP` — Pound Sterling
              - `JPY` — Japanese Yen
              - `AUD` — Australian Dollar
              - `CAD` — Canadian Dollar
              - `CHF` — Swiss Franc
              - `HKD` — Hong Kong Dollar
              - `SGD` — Singapore Dollar
              - `SEK` — Swedish Krona
              - `ARS` — Argentine Peso
              - `BRL` — Brazilian Real
              - `CLP` — Chilean Peso
              - `CNY` — Chinese Yuan
              - `COP` — Colombian Peso
              - `CZK` — Czech Koruna
              - `DKK` — Danish Krone
              - `HUF` — Hungarian Forint
              - `ILS` — Israeli Shekel
              - `INR` — Indian Rupee
              - `KRW` — South Korean Won
              - `MXN` — Mexican Peso
              - `NOK` — Norwegian Krone
              - `NZD` — New Zealand Dollar
              - `PEN` — Peruvian Sol
              - `PLN` — Polish Zloty
              - `RUB` — Russian Ruble
              - `THB` — Thai Baht
              - `TRY` — Turkish Lira
              - `TWD` — New Taiwan Dollar
              - `UAH` — Ukrainian Hryvnia
              - `VND` — Vietnamese Dong
              - `ZAR` — South African Rand
      - `tax_mode`: string (required) — How tax is calculated for this price. (default: `"account_setting"`)
        - `account_setting` — Prices use the setting from your account.
        - `external` — Prices are exclusive of tax.
        - `internal` — Prices are inclusive of tax.
        - `location` — Prices are inclusive or exclusive of tax, depending on the country of the transaction.
      - `unit_price`: object (required) — Base price. This price applies to all customers, except for customers located in countries where you have `unit_price_overrides`.
        - `amount`: string (required) — Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
        - `currency_code`: string (required) — Supported three-letter ISO 4217 currency code.
          - `USD` — United States Dollar
          - `EUR` — Euro
          - `GBP` — Pound Sterling
          - `JPY` — Japanese Yen
          - `AUD` — Australian Dollar
          - `CAD` — Canadian Dollar
          - `CHF` — Swiss Franc
          - `HKD` — Hong Kong Dollar
          - `SGD` — Singapore Dollar
          - `SEK` — Swedish Krona
          - `ARS` — Argentine Peso
          - `BRL` — Brazilian Real
          - `CLP` — Chilean Peso
          - `CNY` — Chinese Yuan
          - `COP` — Colombian Peso
          - `CZK` — Czech Koruna
          - `DKK` — Danish Krone
          - `HUF` — Hungarian Forint
          - `ILS` — Israeli Shekel
          - `INR` — Indian Rupee
          - `KRW` — South Korean Won
          - `MXN` — Mexican Peso
          - `NOK` — Norwegian Krone
          - `NZD` — New Zealand Dollar
          - `PEN` — Peruvian Sol
          - `PLN` — Polish Zloty
          - `RUB` — Russian Ruble
          - `THB` — Thai Baht
          - `TRY` — Turkish Lira
          - `TWD` — New Taiwan Dollar
          - `UAH` — Ukrainian Hryvnia
          - `VND` — Vietnamese Dong
          - `ZAR` — South African Rand
      - `unit_price_overrides`: array (required) — List of unit price overrides. Use to override the base price with a custom price and currency for a country or group of countries. (Items: max 250)
        - `country_codes`: array (required) — Supported two-letter ISO 3166-1 alpha-2 country code. Customers located in the listed countries are charged the override price. (Items: min 1, unique)
          - Country code (supported) — Two-letter code for a country that Paddle supports sales to. Typically an ISO 3166-1 alpha-2 code, though Paddle uses a small number of codes that ISO doesn't currently assign.
            - `AD` — Andorra
            - `AE` — United Arab Emirates
            - `AG` — Antigua and Barbuda
            - `AI` — Anguilla
            - `AL` — Albania
            - `AM` — Armenia
            - `AO` — Angola
            - `AR` — Argentina
            - `AS` — American Samoa
            - `AT` — Austria
            - `AU` — Australia
            - `AW` — Aruba
            - `AX` — Åland Islands
            - `AZ` — Azerbaijan
            - `BA` — Bosnia and Herzegovina
            - `BB` — Barbados
            - `BD` — Bangladesh
            - `BE` — Belgium
            - `BF` — Burkina Faso
            - `BG` — Bulgaria
            - `BH` — Bahrain
            - `BI` — Burundi
            - `BJ` — Benin
            - `BL` — Saint Barthélemy
            - `BM` — Bermuda
            - `BN` — Brunei
            - `BO` — Bolivia
            - `BQ` — Caribbean Netherlands (Bonaire, Sint Eustatius, and Saba)
            - `BR` — Brazil
            - `BS` — Bahamas
            - `BT` — Bhutan
            - `BV` — Bouvet Island
            - `BW` — Botswana
            - `BZ` — Belize
            - `CA` — Canada
            - `CC` — Cocos Islands
            - `CG` — Republic of Congo
            - `CH` — Switzerland
            - `CI` — Côte d'Ivoire (Ivory Coast)
            - `CK` — Cook Islands
            - `CL` — Chile
            - `CM` — Cameroon
            - `CN` — China
            - `CO` — Colombia
            - `CR` — Costa Rica
            - `CV` — Cape Verde
            - `CW` — Curaçao
            - `CX` — Christmas Island
            - `CY` — Cyprus
            - `CZ` — Czechia (Czech Republic)
            - `DE` — Germany
            - `DJ` — Djibouti
            - `DK` — Denmark
            - `DM` — Dominica
            - `DO` — Dominican Republic
            - `DZ` — Algeria
            - `EC` — Ecuador
            - `EE` — Estonia
            - `EG` — Egypt
            - `EH` — Western Sahara
            - `ER` — Eritrea
            - `ES` — Spain
            - `ET` — Ethiopia
            - `FI` — Finland
            - `FJ` — Fiji
            - `FK` — Falkland Islands
            - `FM` — Micronesia
            - `FO` — Faroe Islands
            - `FR` — France
            - `GA` — Gabon
            - `GB` — United Kingdom
            - `GD` — Grenada
            - `GE` — Georgia
            - `GF` — French Guiana
            - `GG` — Guernsey
            - `GH` — Ghana
            - `GI` — Gibraltar
            - `GL` — Greenland
            - `GM` — Gambia
            - `GN` — Guinea
            - `GP` — Guadeloupe
            - `GQ` — Equatorial Guinea
            - `GR` — Greece
            - `GS` — South Georgia and the South Sandwich Islands
            - `GT` — Guatemala
            - `GU` — Guam
            - `GW` — Guinea-Bissau
            - `GY` — Guyana
            - `HK` — Hong Kong
            - `HM` — Heard Island and McDonald Islands
            - `HN` — Honduras
            - `HR` — Croatia
            - `HU` — Hungary
            - `ID` — Indonesia
            - `IE` — Ireland
            - `IL` — Israel
            - `IM` — Isle of Man
            - `IN` — India
            - `IO` — British Indian Ocean Territory
            - `IQ` — Iraq
            - `IS` — Iceland
            - `IT` — Italy
            - `JE` — Jersey
            - `JM` — Jamaica
            - `JO` — Jordan
            - `JP` — Japan
            - `KE` — Kenya
            - `KG` — Kyrgyzstan
            - `KH` — Cambodia
            - `KI` — Kiribati
            - `KM` — Comoros
            - `KN` — Saint Kitts and Nevis
            - `KR` — South Korea
            - `KW` — Kuwait
            - `KY` — Cayman Islands
            - `KZ` — Kazakhstan
            - `LA` — Lao People's Democratic Republic (Laos)
            - `LB` — Lebanon
            - `LC` — Saint Lucia
            - `LI` — Liechtenstein
            - `LK` — Sri Lanka
            - `LR` — Liberia
            - `LS` — Lesotho
            - `LT` — Lithuania
            - `LU` — Luxembourg
            - `LV` — Latvia
            - `MA` — Morocco
            - `MC` — Monaco
            - `MD` — Moldova
            - `ME` — Montenegro
            - `MF` — Saint Martin
            - `MG` — Madagascar
            - `MH` — Marshall Islands
            - `MK` — Macedonia
            - `MN` — Mongolia
            - `MO` — Macao
            - `MP` — Northern Mariana Islands
            - `MQ` — Martinique
            - `MR` — Mauritania
            - `MS` — Montserrat
            - `MT` — Malta
            - `MU` — Mauritius
            - `MV` — Maldives
            - `MW` — Malawi
            - `MX` — Mexico
            - `MY` — Malaysia
            - `MZ` — Mozambique
            - `NA` — Namibia
            - `NC` — New Caledonia
            - `NE` — Niger
            - `NF` — Norfolk Island
            - `NG` — Nigeria
            - `NL` — Netherlands
            - `NO` — Norway
            - `NP` — Nepal
            - `NR` — Nauru
            - `NU` — Niue
            - `NZ` — New Zealand
            - `OM` — Oman
            - `PA` — Panama
            - `PE` — Peru
            - `PF` — French Polynesia
            - `PG` — Papua New Guinea
            - `PH` — Philippines
            - `PK` — Pakistan
            - `PL` — Poland
            - `PM` — Saint Pierre and Miquelon
            - `PN` — Pitcairn
            - `PR` — Puerto Rico
            - `PS` — Palestinian territories
            - `PT` — Portugal
            - `PW` — Palau
            - `PY` — Paraguay
            - `QA` — Qatar
            - `RE` — Reunion
            - `RO` — Romania
            - `RS` — Republic of Serbia
            - `RW` — Rwanda
            - `SA` — Saudi Arabia
            - `SB` — Solomon Islands
            - `SC` — Seychelles
            - `SE` — Sweden
            - `SG` — Singapore
            - `SH` — Saint Helena
            - `SI` — Slovenia
            - `SJ` — Svalbard and Jan Mayen
            - `SK` — Slovakia
            - `SL` — Sierra Leone
            - `SM` — San Marino
            - `SN` — Senegal
            - `SR` — Suriname
            - `ST` — São Tomé and Príncipe
            - `SV` — El Salvador
            - `SX` — Sint Maarten
            - `SZ` — Swaziland
            - `TC` — Turks and Caicos Islands
            - `TD` — Chad
            - `TF` — French Southern and Antarctic Lands
            - `TG` — Togo
            - `TH` — Thailand
            - `TJ` — Tajikistan
            - `TK` — Tokelau
            - `TL` — Timor-Leste
            - `TM` — Turkmenistan
            - `TN` — Tunisia
            - `TO` — Tonga
            - `TR` — Turkey
            - `TT` — Trinidad and Tobago
            - `TV` — Tuvalu
            - `TW` — Taiwan
            - `TZ` — Tanzania
            - `UA` — Ukraine
            - `UG` — Uganda
            - `UM` — United States Minor Outlying Islands
            - `US` — United States
            - `UY` — Uruguay
            - `UZ` — Uzbekistan
            - `VA` — Holy See (Vatican City)
            - `VC` — Saint Vincent and the Grenadines
            - `VG` — British Virgin Islands
            - `VI` — U.S. Virgin Islands
            - `VN` — Vietnam
            - `VU` — Vanuatu
            - `WF` — Wallis and Futuna
            - `WS` — Samoa
            - `XK` — Kosovo
            - `YT` — Mayotte
            - `ZA` — South Africa
            - `ZM` — Zambia
          - Country code (unsupported) — Two-letter code for a country that Paddle doesn't support sales to. Typically an ISO 3166-1 alpha-2 code, though Paddle uses a small number of codes that ISO doesn't currently assign.
            - `AF` — Afghanistan
            - `AQ` — Antarctica
            - `AN` — Netherlands Antilles. Withdrawn ISO 3166-1 code, succeeded by BQ, CW and SX.
            - `BY` — Belarus
            - `CD` — Democratic Republic of Congo
            - `CF` — Central African Republic
            - `CU` — Cuba
            - `CS` — Serbia and Montenegro. Withdrawn ISO 3166-1 code, succeeded by RS and ME.
            - `HT` — Haiti
            - `IR` — Iran
            - `KP` — North Korea
            - `LY` — Libya
            - `ML` — Mali
            - `MM` — Myanmar (Burma)
            - `NI` — Nicaragua
            - `RU` — Russia
            - `SO` — Somalia
            - `SS` — South Sudan
            - `SD` — Sudan
            - `SY` — Syria
            - `VE` — Venezuela
            - `YE` — Yemen
            - `ZW` — Zimbabwe
        - `unit_price`: object (required) — Override price. This price applies to customers located in the countries for this unit price override.
          - `amount`: string (required) — Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
          - `currency_code`: string (required) — Supported three-letter ISO 4217 currency code.
            - `USD` — United States Dollar
            - `EUR` — Euro
            - `GBP` — Pound Sterling
            - `JPY` — Japanese Yen
            - `AUD` — Australian Dollar
            - `CAD` — Canadian Dollar
            - `CHF` — Swiss Franc
            - `HKD` — Hong Kong Dollar
            - `SGD` — Singapore Dollar
            - `SEK` — Swedish Krona
            - `ARS` — Argentine Peso
            - `BRL` — Brazilian Real
            - `CLP` — Chilean Peso
            - `CNY` — Chinese Yuan
            - `COP` — Colombian Peso
            - `CZK` — Czech Koruna
            - `DKK` — Danish Krone
            - `HUF` — Hungarian Forint
            - `ILS` — Israeli Shekel
            - `INR` — Indian Rupee
            - `KRW` — South Korean Won
            - `MXN` — Mexican Peso
            - `NOK` — Norwegian Krone
            - `NZD` — New Zealand Dollar
            - `PEN` — Peruvian Sol
            - `PLN` — Polish Zloty
            - `RUB` — Russian Ruble
            - `THB` — Thai Baht
            - `TRY` — Turkish Lira
            - `TWD` — New Taiwan Dollar
            - `UAH` — Ukrainian Hryvnia
            - `VND` — Vietnamese Dong
            - `ZAR` — South African Rand
      - `quantity`: object (required) — Limits on how many times the related product can be purchased at this price. Useful for discount campaigns.
        - `minimum`: integer (required) — Minimum quantity of the product related to this price that can be bought. Required if `maximum` set. (Range: 1–999999999; default: `1`)
        - `maximum`: integer (required) — Maximum quantity of the product related to this price that can be bought. Required if `minimum` set. Must be greater than or equal to the `minimum` value. (Range: 1–999999999; default: `100`)
      - `status`: string (required) — Whether this entity can be used in Paddle. (default: `"active"`)
        - `active` — Entity is active and can be used.
        - `archived` — Entity is archived, so can't be used.
      - `custom_data`: object | null (required) — Your own structured key-value data.
      - `import_meta`: object | null (required) — Import information for this entity. `null` if this entity is not imported.
        - `external_id`: string | null — Reference or identifier for this entity from the provider where it was imported from. (Length: 1–200)
        - `imported_from`: string (required) — Name of the platform or provider where this entity was imported from. (Length: 1–200)
      - `created_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
      - `updated_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
    - `product`: object (required) — Related product entity for this item. This reflects the product entity at the time it was added to the subscription.
      - `id`: string (required) — Unique Paddle ID for this product, prefixed with `pro_`. (pattern: `^pro_[a-z\d]{26}$`)
      - `name`: string (required) — Name of this product. (Length: 1–200)
      - `description`: string | null (required) — Short description for this product. (Max length: 2048)
      - `type`: string (required) — Type of item. Standard items are considered part of your catalog and are shown in the Paddle dashboard. (default: `"standard"`)
        - `custom` — Non-catalog item. Typically created for a specific transaction or subscription. Not returned when listing or shown in the Paddle dashboard.
        - `standard` — Standard item. Can be considered part of your catalog and reused across transactions and subscriptions easily.
      - `tax_category`: string (required) — Tax category for this product. Used for charging the correct rate of tax. Selected tax category must be enabled on your Paddle account.
        - `digital-goods` — Non-customizable digital files or media (not software) acquired with an up front payment that can be accessed without any physical product being delivered.
        - `ebooks` — Digital books and educational material which is sold with permanent rights for use by the customer.
        - `implementation-services` — Remote configuration, set-up, and integrating software on behalf of a customer.
        - `professional-services` — Services that involve the application of your expertise and specialized knowledge of a software product.
        - `saas` — Products that allow users to connect to and use online or cloud-based applications over the Internet.
        - `software-programming-services` — Services that can be used to customize and white label software products.
        - `standard` — Software products that are pre-written and can be downloaded and installed onto a local device.
        - `training-services` — Training and education services related to software products.
        - `website-hosting` — Cloud storage service for personal or corporate information, assets, or intellectual property.
      - `image_url` (required) — Image for this product. Included in the checkout and on some customer documents.
        - Image Url — A URL to an image.
        - Empty String
      - `custom_data`: object | null (required) — Your own structured key-value data.
      - `status`: string (required) — Whether this entity can be used in Paddle. (default: `"active"`)
        - `active` — Entity is active and can be used.
        - `archived` — Entity is archived, so can't be used.
      - `import_meta`: object | null (required) — Import information for this entity. `null` if this entity is not imported.
        - `external_id`: string | null — Reference or identifier for this entity from the provider where it was imported from. (Length: 1–200)
        - `imported_from`: string (required) — Name of the platform or provider where this entity was imported from. (Length: 1–200)
      - `created_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
      - `updated_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
  - `custom_data`: object | null (required) — Your own structured key-value data.
  - `import_meta`: object | null (required) — Import information for this entity. `null` if this entity is not imported.
    - `external_id`: string | null — Reference or identifier for this entity from the provider where it was imported from. (Length: 1–200)
    - `imported_from`: string (required) — Name of the platform or provider where this entity was imported from. (Length: 1–200)
  - `consent_requirements`: array (required) — List of active consent requirements for the subscription's current billing period.
    - `id`: string (required) — Unique Paddle ID for this subscription consent requirement entity, prefixed with `subconreq_`. (pattern: `^subconreq_[a-z\d]{26}$`)
    - `requirement`: string (required) — Type of consent required for successful renewal.
      - `trial_ending` — Consent required because the trial period is ending.
      - `introductory_discount_ending` — Consent required because an initial discount is ending.
    - `status`: string (required) — Status of this consent requirement.
      - `pending` — Consent not yet granted. Subscription is canceled on next renewal.
      - `granted` — Consent granted. Subscription renews normally.
      - `voided` — Consent voided. Consent requirement is no longer applicable, either because the consent is no longer required, or another consent requirement has replaced it.
    - `created_at`: string (date-time) (required) — RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
    - `consent_period`: object | null (required) — Period during which consent for this subscription can be granted. `null` if there is no `next_billed_at` or the consent requirement does not apply to the current billing period.
      - `starts_at`: string (date-time) (required) — RFC 3339 datetime string of when this period starts.
      - `ends_at`: string (date-time) (required) — RFC 3339 datetime string of when this period ends.
    - `granted_at`: string (date-time) | null (required) — RFC 3339 datetime string of when the customer granted their consent. `null` if not yet granted.
    - `voided_at`: string (date-time) | null (required) — RFC 3339 datetime string of when consent was voided or no longer required. `null` if not voided.
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
  - `pagination`: object (required) — Keys used for working with paginated results.
    - `per_page`: integer (required) — Number of entities per page for this response. May differ from the number requested if the requested number is greater than the maximum.
    - `next`: string (uri) (required) — URL containing the query parameters of the original request, along with the `after` parameter that marks the starting point of the next page. Always returned, even if `has_more` is `false`.
    - `has_more`: boolean (required) — Whether this response has another page.
    - `estimated_total`: integer — Estimated number of entities for this response.

For datasets with 100,000 or fewer matches, returns the exact count. For datasets with more than 100,000 matches, returns `100001` to indicate that more than 100,000 entities match. Returns `-1` when counting is skipped or couldn't be calculated.

Use `has_more` and `next` to page through all results rather than relying on `estimated_total` for an exact count.

### Response example

```json
{
  "data": [
    {
      "id": "sub_01hv959anj4zrw503h2acawb3p",
      "status": "active",
      "customer_id": "ctm_01hv8wt8nffez4p2t6typn4a5j",
      "address_id": "add_01hv958rbhm5n0r6h3tmna4gtv",
      "business_id": null,
      "currency_code": "USD",
      "created_at": "2024-04-12T12:42:27.89Z",
      "updated_at": "2024-04-12T12:44:51.309Z",
      "started_at": "2024-04-12T12:42:27.185672Z",
      "first_billed_at": "2024-04-12T12:42:27.185672Z",
      "next_billed_at": "2024-05-12T12:44:51.27Z",
      "paused_at": null,
      "canceled_at": null,
      "collection_mode": "automatic",
      "billing_details": null,
      "current_billing_period": {
        "starts_at": "2024-04-12T12:44:51.27Z",
        "ends_at": "2024-05-12T12:44:51.27Z"
      },
      "billing_cycle": {
        "frequency": 1,
        "interval": "month"
      },
      "scheduled_change": null,
      "items": [
        {
          "status": "active",
          "quantity": 10,
          "recurring": true,
          "created_at": "2024-04-12T12:42:27.89Z",
          "updated_at": "2024-04-12T12:44:51.311Z",
          "previously_billed_at": "2024-04-12T12:44:51.27Z",
          "next_billed_at": "2024-05-12T12:44:51.27Z",
          "trial_dates": null,
          "price": {
            "id": "pri_01gsz8x8sawmvhz1pv30nge1ke",
            "product_id": "pro_01gsz4t5hdjse780zja8vvr7jg",
            "type": "standard",
            "description": "Monthly",
            "name": "Monthly (per seat)",
            "tax_mode": "account_setting",
            "billing_cycle": {
              "frequency": 1,
              "interval": "month"
            },
            "trial_period": null,
            "unit_price": {
              "amount": "3000",
              "currency_code": "USD"
            },
            "unit_price_overrides": [],
            "custom_data": null,
            "status": "active",
            "quantity": {
              "minimum": 1,
              "maximum": 999
            },
            "import_meta": null,
            "created_at": "2023-02-23T13:55:22.538367Z",
            "updated_at": "2024-04-11T13:54:52.254748Z"
          },
          "product": {
            "id": "pro_01gsz4t5hdjse780zja8vvr7jg",
            "name": "AeroEdit Pro",
            "type": "standard",
            "tax_category": "standard",
            "description": "Designed for professional pilots, including all features plus in Basic plus compliance monitoring, route optimization, and third-party integrations.",
            "image_url": "https://paddle.s3.amazonaws.com/user/165798/bT1XUOJAQhOUxGs83cbk_pro.png",
            "custom_data": {
              "features": {
                "aircraft_performance": true,
                "compliance_monitoring": true,
                "flight_log_management": true,
                "payment_by_invoice": false,
                "route_planning": true,
                "sso": false
              },
              "suggested_addons": [
                "pro_01h1vjes1y163xfj1rh1tkfb65",
                "pro_01gsz97mq9pa4fkyy0wqenepkz"
              ],
              "upgrade_description": "Move from Basic to Pro to take advantage of aircraft performance, advanced route planning, and compliance monitoring."
            },
            "status": "active",
            "import_meta": null,
            "created_at": "2023-02-23T12:43:46.605Z",
            "updated_at": "2024-04-05T15:53:44.687Z"
          }
        },
        {
          "status": "active",
          "quantity": 1,
          "recurring": true,
          "created_at": "2024-04-12T12:42:27.89Z",
          "updated_at": "2024-04-12T12:44:51.312Z",
          "previously_billed_at": "2024-04-12T12:44:51.27Z",
          "next_billed_at": "2024-05-12T12:44:51.27Z",
          "trial_dates": null,
          "price": {
            "id": "pri_01h1vjfevh5etwq3rb416a23h2",
            "product_id": "pro_01h1vjes1y163xfj1rh1tkfb65",
            "type": "standard",
            "description": "Monthly",
            "name": "Monthly (recurring addon)",
            "tax_mode": "account_setting",
            "billing_cycle": {
              "frequency": 1,
              "interval": "month"
            },
            "trial_period": null,
            "unit_price": {
              "amount": "10000",
              "currency_code": "USD"
            },
            "unit_price_overrides": [],
            "custom_data": null,
            "status": "active",
            "quantity": {
              "minimum": 1,
              "maximum": 100
            },
            "import_meta": null,
            "created_at": "2023-06-01T13:31:12.625056Z",
            "updated_at": "2024-04-12T10:42:45.476453Z"
          },
          "product": {
            "id": "pro_01h1vjes1y163xfj1rh1tkfb65",
            "name": "Analytics addon",
            "type": "standard",
            "tax_category": "standard",
            "description": "Unlock advanced insights into your flight data with enhanced analytics and reporting features. Includes customizable reporting templates and trend analysis across flights.",
            "image_url": "https://paddle.s3.amazonaws.com/user/165798/97dRpA6SXzcE6ekK9CAr_analytics.png",
            "custom_data": null,
            "status": "active",
            "import_meta": null,
            "created_at": "2023-06-01T13:30:50.302Z",
            "updated_at": "2024-04-05T15:47:17.163Z"
          }
        }
      ],
      "custom_data": null,
      "management_urls": {
        "update_payment_method": "https://buyer-portal.paddle.com/subscriptions/sub_01hv959anj4zrw503h2acawb3p/update-payment-method",
        "cancel": "https://buyer-portal.paddle.com/subscriptions/sub_01hv959anj4zrw503h2acawb3p/cancel",
        "view_subscription": "https://buyer-portal.paddle.com/subscriptions/sub_01hv959anj4zrw503h2acawb3p/view-subscription"
      },
      "discount": null,
      "import_meta": null,
      "consent_requirements": []
    },
    {
      "id": "sub_01hv915hmgnwqd9n5yxgy8t60c",
      "status": "paused",
      "customer_id": "ctm_01hv8wt8nffez4p2t6typn4a5j",
      "address_id": "add_01hv914saqwe9wk1sbxyy9q7kq",
      "business_id": null,
      "currency_code": "USD",
      "created_at": "2024-04-12T11:30:29.648Z",
      "updated_at": "2024-04-12T12:41:53.197Z",
      "started_at": "2024-04-12T11:30:29.637Z",
      "first_billed_at": "2024-04-12T11:31:09.996Z",
      "next_billed_at": null,
      "paused_at": "2024-04-12T12:41:53.193Z",
      "canceled_at": null,
      "collection_mode": "automatic",
      "billing_details": null,
      "current_billing_period": null,
      "billing_cycle": {
        "frequency": 1,
        "interval": "month"
      },
      "scheduled_change": null,
      "items": [
        {
          "status": "active",
          "quantity": 10,
          "recurring": true,
          "created_at": "2024-04-12T11:30:29.648Z",
          "updated_at": "2024-04-12T12:41:09.265Z",
          "previously_billed_at": "2024-04-12T12:41:09.234Z",
          "next_billed_at": null,
          "trial_dates": {
            "starts_at": "2024-04-12T11:30:29.637Z",
            "ends_at": "2024-04-12T11:31:09.996Z"
          },
          "price": {
            "id": "pri_01hv0vax6rv18t4tamj848ne4d",
            "product_id": "pro_01htz88xpr0mm7b3ta2pjkr7w2",
            "type": "standard",
            "description": "Monthly (per seat) with 14 day trial",
            "name": "Monthly (per seat)",
            "tax_mode": "account_setting",
            "billing_cycle": {
              "frequency": 1,
              "interval": "month"
            },
            "trial_period": {
              "frequency": 14,
              "interval": "day",
              "requires_payment_method": false
            },
            "unit_price": {
              "amount": "500",
              "currency_code": "USD"
            },
            "unit_price_overrides": [
              {
                "country_codes": [
                  "IE",
                  "FR",
                  "DE"
                ],
                "unit_price": {
                  "amount": "700",
                  "currency_code": "EUR"
                }
              },
              {
                "country_codes": [
                  "GB"
                ],
                "unit_price": {
                  "amount": "600",
                  "currency_code": "GBP"
                }
              }
            ],
            "custom_data": null,
            "status": "active",
            "quantity": {
              "minimum": 1,
              "maximum": 100
            },
            "import_meta": null,
            "created_at": "2024-04-09T07:14:38.424504Z",
            "updated_at": "2024-04-09T07:15:53.950721Z"
          },
          "product": {
            "id": "pro_01htz88xpr0mm7b3ta2pjkr7w2",
            "name": "AeroEdit for learner pilots",
            "type": "standard",
            "tax_category": "standard",
            "description": "Essential tools for student pilots to manage flight logs, analyze performance, and plan routes, and ensure compliance. Valid student pilot certificate from the FAA required.",
            "image_url": "https://paddle.s3.amazonaws.com/user/165798/bT1XUOJAQhOUxGs83cbk_pro.png",
            "custom_data": {
              "features": {
                "aircraft_performance": true,
                "compliance_monitoring": false,
                "flight_log_management": true,
                "payment_by_invoice": false,
                "route_planning": true,
                "sso": false
              },
              "suggested_addons": [
                "pro_01h1vjes1y163xfj1rh1tkfb65",
                "pro_01gsz97mq9pa4fkyy0wqenepkz"
              ],
              "upgrade_description": null
            },
            "status": "active",
            "import_meta": null,
            "created_at": "2024-04-08T16:22:16.024Z",
            "updated_at": "2024-04-08T16:27:59.074Z"
          }
        }
      ],
      "custom_data": null,
      "management_urls": {
        "update_payment_method": "https://buyer-portal.paddle.com/subscriptions/sub_01hv915hmgnwqd9n5yxgy8t60c/update-payment-method",
        "cancel": "https://buyer-portal.paddle.com/subscriptions/sub_01hv915hmgnwqd9n5yxgy8t60c/cancel",
        "view_subscription": "https://buyer-portal.paddle.com/subscriptions/sub_01hv915hmgnwqd9n5yxgy8t60c/view-subscription"
      },
      "discount": null,
      "import_meta": null,
      "consent_requirements": []
    },
    {
      "id": "sub_01hv8y5ehszzq0yv20ttx3166y",
      "status": "canceled",
      "customer_id": "ctm_01hv8wt8nffez4p2t6typn4a5j",
      "address_id": "add_01hv8y4jk511j9g2n9a2mexjbx",
      "business_id": null,
      "currency_code": "USD",
      "created_at": "2024-04-12T10:38:00.761Z",
      "updated_at": "2024-04-12T11:24:54.873Z",
      "started_at": "2024-04-12T10:37:59.556997Z",
      "first_billed_at": "2024-04-12T10:37:59.556997Z",
      "next_billed_at": null,
      "paused_at": null,
      "canceled_at": "2024-04-12T11:24:54.868Z",
      "collection_mode": "automatic",
      "billing_details": null,
      "current_billing_period": null,
      "billing_cycle": {
        "frequency": 1,
        "interval": "month"
      },
      "scheduled_change": null,
      "items": [
        {
          "status": "active",
          "quantity": 20,
          "recurring": true,
          "created_at": "2024-04-12T10:38:00.761Z",
          "updated_at": "2024-04-12T10:49:38.76Z",
          "previously_billed_at": "2024-04-12T10:37:59.556997Z",
          "next_billed_at": null,
          "trial_dates": null,
          "price": {
            "id": "pri_01gsz8x8sawmvhz1pv30nge1ke",
            "product_id": "pro_01gsz4t5hdjse780zja8vvr7jg",
            "type": "standard",
            "description": "Monthly",
            "name": "Monthly (per seat)",
            "tax_mode": "account_setting",
            "billing_cycle": {
              "frequency": 1,
              "interval": "month"
            },
            "trial_period": null,
            "unit_price": {
              "amount": "3000",
              "currency_code": "USD"
            },
            "unit_price_overrides": [],
            "custom_data": null,
            "status": "active",
            "quantity": {
              "minimum": 1,
              "maximum": 999
            },
            "import_meta": null,
            "created_at": "2023-02-23T13:55:22.538367Z",
            "updated_at": "2024-04-11T13:54:52.254748Z"
          },
          "product": {
            "id": "pro_01gsz4t5hdjse780zja8vvr7jg",
            "name": "AeroEdit Pro",
            "type": "standard",
            "tax_category": "standard",
            "description": "Designed for professional pilots, including all features plus in Basic plus compliance monitoring, route optimization, and third-party integrations.",
            "image_url": "https://paddle.s3.amazonaws.com/user/165798/bT1XUOJAQhOUxGs83cbk_pro.png",
            "custom_data": {
              "features": {
                "aircraft_performance": true,
                "compliance_monitoring": true,
                "flight_log_management": true,
                "payment_by_invoice": false,
                "route_planning": true,
                "sso": false
              },
              "suggested_addons": [
                "pro_01h1vjes1y163xfj1rh1tkfb65",
                "pro_01gsz97mq9pa4fkyy0wqenepkz"
              ],
              "upgrade_description": "Move from Basic to Pro to take advantage of aircraft performance, advanced route planning, and compliance monitoring."
            },
            "status": "active",
            "import_meta": null,
            "created_at": "2023-02-23T12:43:46.605Z",
            "updated_at": "2024-04-05T15:53:44.687Z"
          }
        },
        {
          "status": "active",
          "quantity": 1,
          "recurring": true,
          "created_at": "2024-04-12T10:38:00.761Z",
          "updated_at": "2024-04-12T10:38:00.761Z",
          "previously_billed_at": "2024-04-12T10:37:59.556997Z",
          "next_billed_at": null,
          "trial_dates": null,
          "price": {
            "id": "pri_01h1vjfevh5etwq3rb416a23h2",
            "product_id": "pro_01h1vjes1y163xfj1rh1tkfb65",
            "type": "standard",
            "description": "Monthly",
            "name": "Monthly (recurring addon)",
            "tax_mode": "account_setting",
            "billing_cycle": {
              "frequency": 1,
              "interval": "month"
            },
            "trial_period": null,
            "unit_price": {
              "amount": "10000",
              "currency_code": "USD"
            },
            "unit_price_overrides": [],
            "custom_data": null,
            "status": "active",
            "quantity": {
              "minimum": 1,
              "maximum": 100
            },
            "import_meta": null,
            "created_at": "2023-06-01T13:31:12.625056Z",
            "updated_at": "2024-04-09T07:23:00.907834Z"
          },
          "product": {
            "id": "pro_01h1vjes1y163xfj1rh1tkfb65",
            "name": "Analytics addon",
            "type": "standard",
            "tax_category": "standard",
            "description": "Unlock advanced insights into your flight data with enhanced analytics and reporting features. Includes customizable reporting templates and trend analysis across flights.",
            "image_url": "https://paddle.s3.amazonaws.com/user/165798/97dRpA6SXzcE6ekK9CAr_analytics.png",
            "custom_data": null,
            "status": "active",
            "import_meta": null,
            "created_at": "2023-06-01T13:30:50.302Z",
            "updated_at": "2024-04-05T15:47:17.163Z"
          }
        },
        {
          "status": "active",
          "quantity": 1,
          "recurring": true,
          "created_at": "2024-04-12T10:49:38.765Z",
          "updated_at": "2024-04-12T10:49:38.765Z",
          "previously_billed_at": "2024-04-12T10:49:38.765Z",
          "next_billed_at": null,
          "trial_dates": null,
          "price": {
            "id": "pri_01gsz95g2zrkagg294kpstx54r",
            "product_id": "pro_01gsz92krfzy3hcx5h5rtgnfwz",
            "type": "standard",
            "description": "Monthly (recurring addon)",
            "name": "Monthly (recurring addon)",
            "tax_mode": "account_setting",
            "billing_cycle": {
              "frequency": 1,
              "interval": "month"
            },
            "trial_period": null,
            "unit_price": {
              "amount": "25000",
              "currency_code": "USD"
            },
            "unit_price_overrides": [],
            "custom_data": null,
            "status": "active",
            "quantity": {
              "minimum": 1,
              "maximum": 1
            },
            "import_meta": null,
            "created_at": "2023-02-23T13:59:52.159927Z",
            "updated_at": "2024-04-09T07:27:48.018296Z"
          },
          "product": {
            "id": "pro_01gsz92krfzy3hcx5h5rtgnfwz",
            "name": "VIP support",
            "type": "standard",
            "tax_category": "standard",
            "description": "Get exclusive access to our expert team of product specialists, available to help you make the most of your AeroEdit subscription.",
            "image_url": "https://paddle.s3.amazonaws.com/user/165798/qgyipKJwRtq98YNboipo_vip-support.png",
            "custom_data": null,
            "status": "active",
            "import_meta": null,
            "created_at": "2023-02-23T13:58:17.615Z",
            "updated_at": "2024-04-05T15:44:02.893Z"
          }
        }
      ],
      "custom_data": null,
      "management_urls": {
        "update_payment_method": "https://buyer-portal.paddle.com/subscriptions/sub_01hv8y5ehszzq0yv20ttx3166y/update-payment-method",
        "cancel": "https://buyer-portal.paddle.com/subscriptions/sub_01hv8y5ehszzq0yv20ttx3166y/cancel",
        "view_subscription": "https://buyer-portal.paddle.com/subscriptions/sub_01hv8y5ehszzq0yv20ttx3166y/view-subscription"
      },
      "discount": null,
      "import_meta": null,
      "consent_requirements": []
    },
    {
      "id": "sub_01hv8xqmay5w5rfsnzkxzgy0yp",
      "status": "active",
      "customer_id": "ctm_01hv6y1jedq4p1n0yqn5ba3ky4",
      "address_id": "add_01hv8gq3318ktkfengj2r75gfx",
      "business_id": null,
      "currency_code": "USD",
      "created_at": "2024-04-12T10:30:27.934Z",
      "updated_at": "2024-04-12T10:30:27.934Z",
      "started_at": "2024-04-12T00:00:00Z",
      "first_billed_at": "2024-04-12T00:00:00Z",
      "next_billed_at": "2025-04-12T00:00:00Z",
      "paused_at": null,
      "canceled_at": null,
      "collection_mode": "manual",
      "billing_details": {
        "enable_checkout": false,
        "purchase_order_number": "PO-123",
        "additional_information": null,
        "payment_terms": {
          "frequency": 2,
          "interval": "week"
        }
      },
      "current_billing_period": {
        "starts_at": "2024-04-12T00:00:00Z",
        "ends_at": "2025-04-12T00:00:00Z"
      },
      "billing_cycle": {
        "frequency": 1,
        "interval": "year"
      },
      "scheduled_change": null,
      "items": [
        {
          "status": "active",
          "quantity": 50,
          "recurring": true,
          "created_at": "2024-04-12T10:30:27.934Z",
          "updated_at": "2024-04-12T10:30:27.934Z",
          "previously_billed_at": "2024-04-12T00:00:00Z",
          "next_billed_at": "2025-04-12T00:00:00Z",
          "trial_dates": null,
          "price": {
            "id": "pri_01gsz91wy9k1yn7kx82aafwvea",
            "product_id": "pro_01gsz4vmqbjk3x4vvtafffd540",
            "type": "standard",
            "description": "Annual",
            "name": "Annual (per seat)",
            "tax_mode": "account_setting",
            "billing_cycle": {
              "frequency": 1,
              "interval": "year"
            },
            "trial_period": null,
            "unit_price": {
              "amount": "50000",
              "currency_code": "USD"
            },
            "unit_price_overrides": [],
            "custom_data": null,
            "status": "active",
            "quantity": {
              "minimum": 1,
              "maximum": 100
            },
            "import_meta": null,
            "created_at": "2023-02-23T13:57:54.249913Z",
            "updated_at": "2024-04-05T14:32:00.471447Z"
          },
          "product": {
            "id": "pro_01gsz4vmqbjk3x4vvtafffd540",
            "name": "AeroEdit Enterprise",
            "type": "standard",
            "tax_category": "standard",
            "description": "The ultimate solution for organizations, featuring all Pro capabilities plus multi-user support, advanced data storage capabilities, plus personalized onboarding, dedicated account management, and the ability to pay via invoice.",
            "image_url": "https://paddle.s3.amazonaws.com/user/165798/Ws808ziTS76a6YbnMkiK_enterprise.png",
            "custom_data": {
              "features": {
                "aircraft_performance": true,
                "compliance_monitoring": true,
                "flight_log_management": true,
                "payment_by_invoice": true,
                "route_planning": true,
                "sso": true
              },
              "suggested_addons": [],
              "upgrade_description": "Ready to reach new heights? Upgrade to enterprise to unlock single sign-on, payment by invoice, and dedicated account management."
            },
            "status": "active",
            "import_meta": null,
            "created_at": "2023-02-23T12:44:34.923Z",
            "updated_at": "2024-04-05T15:58:28.309Z"
          }
        },
        {
          "status": "active",
          "quantity": 1,
          "recurring": true,
          "created_at": "2024-04-12T10:30:27.934Z",
          "updated_at": "2024-04-12T10:30:27.934Z",
          "previously_billed_at": "2024-04-12T00:00:00Z",
          "next_billed_at": "2025-04-12T00:00:00Z",
          "trial_dates": null,
          "price": {
            "id": "pri_01gsz96z29d88jrmsf2ztbfgjg",
            "product_id": "pro_01gsz92krfzy3hcx5h5rtgnfwz",
            "type": "standard",
            "description": "Annual (recurring addon)",
            "name": "Annual (recurring addon)",
            "tax_mode": "account_setting",
            "billing_cycle": {
              "frequency": 1,
              "interval": "year"
            },
            "trial_period": null,
            "unit_price": {
              "amount": "300000",
              "currency_code": "USD"
            },
            "unit_price_overrides": [],
            "custom_data": null,
            "status": "active",
            "quantity": {
              "minimum": 1,
              "maximum": 1
            },
            "import_meta": null,
            "created_at": "2023-02-23T14:00:40.265185Z",
            "updated_at": "2024-03-25T14:31:18.587603Z"
          },
          "product": {
            "id": "pro_01gsz92krfzy3hcx5h5rtgnfwz",
            "name": "VIP support",
            "type": "standard",
            "tax_category": "standard",
            "description": "Get exclusive access to our expert team of product specialists, available to help you make the most of your AeroEdit subscription.",
            "image_url": "https://paddle.s3.amazonaws.com/user/165798/qgyipKJwRtq98YNboipo_vip-support.png",
            "custom_data": null,
            "status": "active",
            "import_meta": null,
            "created_at": "2023-02-23T13:58:17.615Z",
            "updated_at": "2024-04-05T15:44:02.893Z"
          }
        }
      ],
      "custom_data": null,
      "management_urls": {
        "update_payment_method": null,
        "cancel": "https://buyer-portal.paddle.com/subscriptions/sub_01hv8xqmay5w5rfsnzkxzgy0yp/cancel",
        "view_subscription": "https://buyer-portal.paddle.com/subscriptions/sub_01hv8xqmay5w5rfsnzkxzgy0yp/view-subscription"
      },
      "discount": null,
      "import_meta": null,
      "consent_requirements": []
    },
    {
      "id": "sub_01hv8x29kz0t586xy6zn1a62ny",
      "status": "past_due",
      "customer_id": "ctm_01hv8wt8nffez4p2t6typn4a5j",
      "address_id": "add_01hv8wt8ny8ms5vtm71bj8vcdd",
      "business_id": null,
      "currency_code": "USD",
      "created_at": "2024-04-12T10:18:48.831Z",
      "updated_at": "2024-05-12T10:19:26.014628Z",
      "started_at": "2024-04-12T10:18:47.635628Z",
      "first_billed_at": "2024-04-12T10:18:47.635628Z",
      "next_billed_at": "2024-06-12T10:18:47.635628Z",
      "paused_at": null,
      "canceled_at": null,
      "collection_mode": "automatic",
      "billing_details": null,
      "current_billing_period": {
        "starts_at": "2024-05-12T10:18:47.635628Z",
        "ends_at": "2024-06-12T10:18:47.635628Z"
      },
      "billing_cycle": {
        "frequency": 1,
        "interval": "month"
      },
      "scheduled_change": null,
      "items": [
        {
          "status": "active",
          "quantity": 10,
          "recurring": true,
          "created_at": "2024-04-12T10:18:48.831Z",
          "updated_at": "2024-05-12T10:19:26.007628Z",
          "previously_billed_at": "2024-05-12T10:18:47.635628Z",
          "next_billed_at": "2024-06-12T10:18:47.635628Z",
          "trial_dates": null,
          "price": {
            "id": "pri_01gsz8x8sawmvhz1pv30nge1ke",
            "product_id": "pro_01gsz4t5hdjse780zja8vvr7jg",
            "type": "standard",
            "description": "Monthly",
            "name": "Monthly (per seat)",
            "tax_mode": "account_setting",
            "billing_cycle": {
              "frequency": 1,
              "interval": "month"
            },
            "trial_period": null,
            "unit_price": {
              "amount": "3000",
              "currency_code": "USD"
            },
            "unit_price_overrides": [],
            "custom_data": null,
            "status": "active",
            "quantity": {
              "minimum": 1,
              "maximum": 999
            },
            "import_meta": null,
            "created_at": "2023-02-23T13:55:22.538367Z",
            "updated_at": "2024-04-11T13:54:52.254748Z"
          },
          "product": {
            "id": "pro_01gsz4t5hdjse780zja8vvr7jg",
            "name": "AeroEdit Pro",
            "type": "standard",
            "tax_category": "standard",
            "description": "Designed for professional pilots, including all features plus in Basic plus compliance monitoring, route optimization, and third-party integrations.",
            "image_url": "https://paddle.s3.amazonaws.com/user/165798/bT1XUOJAQhOUxGs83cbk_pro.png",
            "custom_data": {
              "features": {
                "aircraft_performance": true,
                "compliance_monitoring": true,
                "flight_log_management": true,
                "payment_by_invoice": false,
                "route_planning": true,
                "sso": false
              },
              "suggested_addons": [
                "pro_01h1vjes1y163xfj1rh1tkfb65",
                "pro_01gsz97mq9pa4fkyy0wqenepkz"
              ],
              "upgrade_description": "Move from Basic to Pro to take advantage of aircraft performance, advanced route planning, and compliance monitoring."
            },
            "status": "active",
            "import_meta": null,
            "created_at": "2023-02-23T12:43:46.605Z",
            "updated_at": "2024-04-05T15:53:44.687Z"
          }
        },
        {
          "status": "active",
          "quantity": 1,
          "recurring": true,
          "created_at": "2024-04-12T10:18:48.831Z",
          "updated_at": "2024-05-12T10:19:26.010628Z",
          "previously_billed_at": "2024-05-12T10:18:47.635628Z",
          "next_billed_at": "2024-06-12T10:18:47.635628Z",
          "trial_dates": null,
          "price": {
            "id": "pri_01h1vjfevh5etwq3rb416a23h2",
            "product_id": "pro_01h1vjes1y163xfj1rh1tkfb65",
            "type": "standard",
            "description": "Monthly",
            "name": "Monthly (recurring addon)",
            "tax_mode": "account_setting",
            "billing_cycle": {
              "frequency": 1,
              "interval": "month"
            },
            "trial_period": null,
            "unit_price": {
              "amount": "10000",
              "currency_code": "USD"
            },
            "unit_price_overrides": [],
            "custom_data": null,
            "status": "active",
            "quantity": {
              "minimum": 1,
              "maximum": 100
            },
            "import_meta": null,
            "created_at": "2023-06-01T13:31:12.625056Z",
            "updated_at": "2024-04-09T07:23:00.907834Z"
          },
          "product": {
            "id": "pro_01h1vjes1y163xfj1rh1tkfb65",
            "name": "Analytics addon",
            "type": "standard",
            "tax_category": "standard",
            "description": "Unlock advanced insights into your flight data with enhanced analytics and reporting features. Includes customizable reporting templates and trend analysis across flights.",
            "image_url": "https://paddle.s3.amazonaws.com/user/165798/97dRpA6SXzcE6ekK9CAr_analytics.png",
            "custom_data": null,
            "status": "active",
            "import_meta": null,
            "created_at": "2023-06-01T13:30:50.302Z",
            "updated_at": "2024-04-05T15:47:17.163Z"
          }
        }
      ],
      "custom_data": null,
      "management_urls": {
        "update_payment_method": "https://buyer-portal.paddle.com/subscriptions/sub_01hv8x29kz0t586xy6zn1a62ny/update-payment-method",
        "cancel": "https://buyer-portal.paddle.com/subscriptions/sub_01hv8x29kz0t586xy6zn1a62ny/cancel",
        "view_subscription": "https://buyer-portal.paddle.com/subscriptions/sub_01hv8x29kz0t586xy6zn1a62ny/view-subscription"
      },
      "discount": null,
      "import_meta": null,
      "consent_requirements": []
    }
  ],
  "meta": {
    "request_id": "170e71a2-ed13-4f45-b002-45693f5361b4",
    "pagination": {
      "per_page": 50,
      "next": "https://api.paddle.com/subscriptions?after=sub_01hv8x29kz0t586xy6zn1a62ny",
      "has_more": false,
      "estimated_total": 1
    }
  }
}
```
